import store from '@/store/index';
import publicCarNumber from './publicCarNumber';

export default {
  install() {
    if (store.state.baseData && store.state.baseData.publicCarNumber) return;
    if (!store.state.baseData) {
      store.registerModule(['baseData'], {
        namespaced: true,
      });
    }
    store.registerModule(['baseData', 'publicCarNumber'], publicCarNumber);
  },
  uninstall() {
    store.unregisterModule(['baseData', 'publicCarNumber']);
  },
};
